Skip to content

Organizations API

GET /organizations

List the organizations.

Parameters:

  • page (optional, default: 1): the page to start

Example request:

GET /api/organizations HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "281743e0-77c5-4775-845f-51832ed77af8",
      "created_at": "2024-09-06T12:31:29.697098Z",
      "updated_at": "2024-09-06T12:31:29.697159Z",
      "name": "acme"
    }
  ]
}

GET /organizations/<name>

Get the details of a specific organization.

Example request:

GET /api/organizations/acme HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "id": "281743e0-77c5-4775-845f-51832ed77af8",
  "created_at": "2024-09-06T12:31:29.697098Z",
  "updated_at": "2024-09-06T12:31:29.697159Z",
  "name": "acme"
}

GET /organizations/<name>/projects

List the projects of an organization.

Parameters:

  • page (optional, default: 1): the page to start

Example request:

GET /api/organizations/acme/projects HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
    {
      "id": "7493c5a2-901e-42ac-ab44-3b12e451997f",
      "created_at": "2024-09-06T12:31:29.708495Z",
      "updated_at": "2024-09-06T12:31:29.708572Z",
      "name": "python",
      "description": "CVEs related to Python software"
    }
  ]
}

GET /organizations/<name>/projects/<name>

Get the details of a specific project.

Example request:

GET /api/organizations/acme/projects/python HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "id": "7493c5a2-901e-42ac-ab44-3b12e451997f",
  "created_at": "2024-09-06T12:31:29.708495Z",
  "updated_at": "2024-09-06T12:31:29.708572Z",
  "name": "python",
  "description": "CVEs related to Python software",
  "subscriptions": {
    "vendors": [
      "djangoproject"
    ],
    "products": {
      "palletsprojects": [
        "flask",
        "jinja",
        "werkzeug"
      ],
      "pypdf_project": [
        "pypdf"
      ],
      "python_software_foundation": [
        "black",
        "cpython",
        "python"
      ]
    }
  }
}

GET /organizations/<name>/projects/<name>/cve

List the CVEs related to a project.

Parameters:

  • page (optional, default: 1): the page to start

Example request:

GET /api/organizations/acme/projects/python/cve HTTP/1.1
Host: app.opencve.io
Accept: application/json

Example response:

HTTP/1.1 200 OK
{
  "count": 142,
  "next": "https://app.opencve.io/api/organizations/acme/projects/python/cve?page=2",
  "previous": null,
  "results": [
    {
      "created_at": "2024-09-03T00:00:00Z",
      "updated_at": "2024-10-30T17:35:10.147000Z",
      "cve_id": "CVE-2024-45231",
      "description": "An issue was discovered in Django v5.1.1, v5.0.9, and v4.2.16. The django.contrib.auth.forms.PasswordResetForm class, when used in a view implementing password reset flows, allows remote attackers to enumerate user e-mail addresses by sending password reset requests and observing the outcome (only when e-mail sending is consistently failing)."
    },
    ...
  ]
}